%define upstream_name    TAP-Formatter-JUnit
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    TAP formatter, turning TAP into JUnit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/TAP/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     TAP-Formatter-JUnit-0.09-hashorder.patch

BuildRequires: perl(File::Slurp)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::NonMoose)
BuildRequires: perl(TAP::Harness) >= 3.120.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::XML)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(XML::Generator)
BuildArch:  noarch

%description
*This code is currently in alpha state and is subject to change.*

'TAP::Formatter::JUnit' provides JUnit output formatting for
'TAP::Harness'.

By default (e.g. when run with _prove_), the _entire_ test suite is
gathered together into a single JUnit XML document, which is then displayed
on 'STDOUT'. You can, however, have individual JUnit XML files dumped for
each individual test, by setting c<PERL_TEST_HARNESS_DUMP_TAP> to a
directory that you would like the JUnit XML dumped to. Note, that this will
*also* cause 'TAP::Harness' to dump the original TAP output into that
directory as well (but IMHO that's ok as you've now got the data in two
parsable formats).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tap2junit
/usr/share/man/man1/tap2junit.1.xz


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1033655
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 966925
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 847083
- update to 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-12.mga5
+ Revision: 745777
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-11.mga5
+ Revision: 686303
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.90.0-10.mga5
+ Revision: 633977
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.90.0-9.mga5
+ Revision: 606111
- perl 5.18.2 rebuild

* Tue Jan 21 2014 shlomif <shlomif> 0.90.0-8.mga4
+ Revision: 567347
- Fix the test failures with a patch from (CPAN #81152).
  This fixes the tests on perl-5.18.x. See:
  https://rt.cpan.org/Ticket/Display.html?id=81552 .

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + jquelin <jquelin>
    - perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 0.90.0-5.mga3
+ Revision: 403837
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-4.mga3
+ Revision: 373009
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.90.0-3.mga3
+ Revision: 315056
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.90.0-2.mga3
+ Revision: 283584
- perl 5.16.1 rebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 255487
- update to 0.09

* Mon Jun 04 2012 jquelin <jquelin> 0.80.0-2.mga3
+ Revision: 254314
- rebuild to fix new shebang with perl 5.16

* Tue Jan 03 2012 guillomovitch <guillomovitch> 0.80.0-1.mga2
+ Revision: 189995
- imported package perl-TAP-Formatter-JUnit


* Tue Jan 03 2012 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
